Bug 479711 - Review Request: perl-Time-Duration-Parse - Parse string that represents time duration
Review Request: perl-Time-Duration-Parse - Parse string that represents time ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Time-Dura...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 11:37 EST by Chris Weyl
Modified: 2009-01-14 18:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 18:17:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-01-12 11:37:25 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Time-Duration-Parse.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Time-Duration-Parse-0.06-1.fc10.src.rpm

Description:
Time::Duration::Parse is a module to parse human readable duration strings
like _2 minutes and 3 seconds_ to seconds.

It does the opposite of duration_exact() in Time::Duration and is roundtrip
safe. So, the following is always true.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1047036
Comment 1 Parag AN(पराग) 2009-01-13 01:12:27 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1047036
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
a23b7ca50a909df57e484cf39a3fa414  Time-Duration-Parse-0.06.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=2038,  1 wallclock secs ( 0.41 usr  0.03 sys +  1.16 cusr  0.04 csys =  1.64 CPU)
+ Package perl-Time-Duration-Parse-0.06-1.fc11 =>
   Provides: perl(Time::Duration::Parse) = 0.06
   Requires: perl(Carp) perl(Exporter::Lite) perl(strict)

APPROVED.
Comment 2 Chris Weyl 2009-01-13 02:02:37 EST
New Package CVS Request
=======================
Package Name: perl-Time-Duration-Parse
Short Description: Parse string that represents time duration
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-01-13 16:18:10 EST
cvs done.
Comment 4 Chris Weyl 2009-01-14 18:17:24 EST
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.